%define po_package libgnome-2.0

Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libgnome
Version:	2.22.0
Release:	1
Summary:	GNOME base library.
License:	GNU/LGPL 
URL:		ftp://ftp,gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0: 	%{name}-%{version}.tar.bz2
Source1: 	desktop_gnome_peripherals_monitor.schemas
Patch1: 	default-background.patch
Patch2: 	libgnome-2.11.1-scoreloc.patch
Patch3: 	libgnome-2.17.90-default-icontheme.patch
Patch4: 	libgnome-2.7.2-default-cursor.patch
Patch5: 	libgnome-2.8.0-default-browser.patch
Patch10: 	libgnome-2.19.1-default-esd.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:  	glib
Requires:  	libbonobo
Requires:  	gnome-vfs
Requires:  	libxml2
Requires:  	ORBit2
Requires:  	libxslt
Requires(pre):  GConf
Requires(preun):  GConf
Requires(post):  GConf
# Added to avoid the warning messages about utmp group, bug #24171
# fixme, just libzvt?
#Requires(pre): utempter
Requires(post): /usr/bin/gconftool-2 
Requires(preun): /usr/bin/gconftool-2 

#Requires:  echo-icon-theme

BuildRequires:	zlib-devel
BuildRequires:	esound-devel
BuildRequires:	glib-devel
BuildRequires:  libbonobo-devel
BuildRequires:  GConf-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  libxml2-devel
BuildRequires:  ORBit2-devel
BuildRequires:  libxslt-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  gettext
BuildRequires:  perl-XML-Parser
Obsoletes:	libgnome-doc

%description

GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome package includes
non-GUI-related libraries that are needed to run GNOME. The libgnomeui
package contains X11-dependent GNOME library features.


%package devel
Summary: 	Libraries and headers for libgnome
Group: 		Development/Libraries
Requires: 	%{name} = %{version}

Requires: 	zlib-devel
Requires: 	esound-devel
Requires: 	ORBit2-devel
Requires: 	glib-devel
Requires: 	libbonobo-devel
Requires: 	GConf-devel
Requires: 	gnome-vfs-devel
Requires: 	libxml2-devel
Requires: 	libxslt-devel
Requires: 	pkg-config
Requires:	ccux-artwork >= 1.0.0

%description devel

GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome-devel package
includes the libraries and include files that you will need to
use libgnome.

You should install the libgnome-devel package if you would like to
compile GNOME applications. You do not need to install libgnome-devel
if you just want to use the GNOME desktop environment.

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/desktop_gnome_*.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then 
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/desktop_gnome_*.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then 
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/desktop_gnome_*.schemas > /dev/null || :
fi

%postun -p /sbin/ldconfig


%prep
%setup -q
%patch1 -p1 -b .default-background
%patch2 -p1 -b .scoreloc
%patch3 -p1 -b .default-icontheme
%patch4 -p1 -b .default-cursor
%patch5 -p1 -b .default-browser
%patch10 -p1 -b .default-esd

%build
%configure --sysconfdir=%_sysconfdir/gnome --disable-gtk-doc --localstatedir=/var/lib
# for some reason, I have to rerun config.status 
# to get CATALOGS in po/Makefile
./config.status
export tagname=CC
make %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
make install DESTDIR=$RPM_BUILD_ROOT LIBTOOL=%{_bindir}/libtool
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
cp %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/gnome/gconf/schemas/

%find_lang %{po_package}

%files -f %{po_package}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_libdir}/bonobo
%{_mandir}/man7/*
%{_sysconfdir}/gnome/gconf/schemas/*
%{_sysconfdir}/gnome/sound
%_datadir/gnome-background-properties/gnome-default.xml
%_datadir/pixmaps/backgrounds/gnome/background-default.jpg

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/bonobo/monikers/*.a
%{_libdir}/bonobo/monikers/*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Fri Oct 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1.1-1
- Version update
* Mon Oct 15 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Oct 05 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-2
- Patch updates
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Mon Mar 26 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-3
- using correct patches is better
* Mon Mar 26 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-2
- addition of default background, icon theme and mouse cursors
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-2
- rebuild, moved libexec, added missing scriplets
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-1
- Version update, moved prefix
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.1-1
- Version Update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- Version Update
* Mon Jan 20 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.7-1
- Initial Release
